<template>
    <div class="left-menu-option">
        <v-btn
            class="lowercase"
            :class="{ active: activeTab === menus.BROWSESTREETWEAR.id }"
            text
            @click="goToPage(menus.BROWSESTREETWEAR.id)"
            >{{ $t('appBar.browseStreetWear') }}</v-btn
        >
        <v-btn
            class="lowercase"
            :class="{ active: activeTab === menus.HOWITWORKS.id }"
            text
            @click="goToPage(menus.HOWITWORKS.id)"
            >{{ $t('appBar.howItWorks') }}</v-btn
        >
        <v-btn
            class="lowercase"
            :class="{ active: activeTab === menus.PLANS.id }"
            text
            @click="goToPage(menus.PLANS.id)"
            >{{ $t('appBar.plans') }}</v-btn
        >
        <v-btn
            class="lowercase"
            :class="{ active: activeTab === menus.ABOUT.id }"
            text
            @click="goToPage(menus.ABOUT.id)"
            >{{ $t('appBar.about') }}</v-btn
        >
    </div>
</template>

<script lang="ts">
import { Vue, Component, Prop } from 'vue-property-decorator'
import { mapGetters } from 'vuex'
const VueScrollTo = require('vue-scrollto')

@Component({
    computed: mapGetters({
        menus: 'menu/getMenu',
    }),
})
export default class MenuOption extends Vue {
    @Prop() tab!: number

    menus!: any
    activeTab: Number = this.tab
    goToPage(id: Number) {
        switch (id) {
            case this.menus.BROWSESTREETWEAR.id:
                this.activeTab = this.menus.BROWSESTREETWEAR.id
                this.$router.push(this.menus.BROWSESTREETWEAR.path)
                break

            case this.menus.HOWITWORKS.id:
                this.activeTab = this.menus.HOWITWORKS.id
                VueScrollTo.scrollTo('.howitwork-section')
                this.$router.push(this.menus.HOME.path + '?scroll=howitworks')
                break

            case this.menus.PLANS.id:
                this.activeTab = this.menus.PLANS.id
                VueScrollTo.scrollTo('.plan-section')
                this.$router.push(this.menus.HOME.path + '?scroll=plans')
                break

            case this.menus.ABOUT.id:
                this.activeTab = this.menus.ABOUT.id
                this.$router.push(this.menus.ABOUT.path)
                break

            case this.menus.ACCOUNT.id:
                this.$router.push(this.menus.ACCOUNT.path)
                break

            case this.menus.CART.id:
                this.$router.push(this.menus.CART.path)
                break

            default:
                this.$router.push('/')
                break
        }
    }

    mounted() {
        console.log(this.tab)
    }
}
</script>
